Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » EJB 3, Java EE 5
EJB 3, Java EE 5 [message #189080] Sun, 04 March 2007 14:29 Go to next message
Eclipse User
Originally posted by: gcruscoe.yahoo.com

So I know that WTP 2.0 is supposed to be supporting Java EE 5. I have
installed everything, but I do not really see any options for java EE 5.

For instance there is nothing to create an EJB 3 object. EJB only
offers <= 2.1

The web doesn't offer servlet spec 2.5.

Am I missing something?

I know this is only a Milestone release, but I thought it was 80%
complete. Will M6 (API freeze) have this, or will it not be ready until
later.

I know I can manually edit the files and make things work, but I'm
trying to figure out when this will be truly integrated (ala Netbeans 5.5).


Thanks,
Geoff
Re: EJB 3, Java EE 5 [message #189103 is a reply to message #189080] Mon, 05 March 2007 12:59 Go to previous messageGo to next message
Eclipse User
Originally posted by: wknauf_NO_._INSIDE_hg-online.de

Hi Geoff,

I think the main problem is that the servers supported by WTP do not support
JavaEE5, or the server definitions were not updated.

I created a server definition for JBoss 4.0.5 with EJB3 support for WTP 2.0, so
you may try it out: http://www.informatik.fh-wiesbaden.de/~knauf/public

Hope this helps

Wolfgang


Geoff Ruscoe wrote:
> So I know that WTP 2.0 is supposed to be supporting Java EE 5. I have
> installed everything, but I do not really see any options for java EE 5.
>
> For instance there is nothing to create an EJB 3 object. EJB only
> offers <= 2.1
>
> The web doesn't offer servlet spec 2.5.
>
> Am I missing something?
>
> I know this is only a Milestone release, but I thought it was 80%
> complete. Will M6 (API freeze) have this, or will it not be ready until
> later.
>
> I know I can manually edit the files and make things work, but I'm
> trying to figure out when this will be truly integrated (ala Netbeans 5.5).
>
>
> Thanks,
> Geoff
>
Re: EJB 3, Java EE 5 [message #189119 is a reply to message #189103] Mon, 05 March 2007 13:16 Go to previous messageGo to next message
Eclipse User
Originally posted by: gcruscoe.yahoo.com

Thank you very much. I will try this out right away.



Wolfgang Knauf wrote:
> Hi Geoff,
>
> I think the main problem is that the servers supported by WTP do not
> support JavaEE5, or the server definitions were not updated.
>
> I created a server definition for JBoss 4.0.5 with EJB3 support for WTP
> 2.0, so you may try it out:
> http://www.informatik.fh-wiesbaden.de/~knauf/public
>
> Hope this helps
>
> Wolfgang
>
>
> Geoff Ruscoe wrote:
>> So I know that WTP 2.0 is supposed to be supporting Java EE 5. I have
>> installed everything, but I do not really see any options for java EE 5.
>>
>> For instance there is nothing to create an EJB 3 object. EJB only
>> offers <= 2.1
>>
>> The web doesn't offer servlet spec 2.5.
>>
>> Am I missing something?
>>
>> I know this is only a Milestone release, but I thought it was 80%
>> complete. Will M6 (API freeze) have this, or will it not be ready
>> until later.
>>
>> I know I can manually edit the files and make things work, but I'm
>> trying to figure out when this will be truly integrated (ala Netbeans
>> 5.5).
>>
>>
>> Thanks,
>> Geoff
>>
Re: EJB 3, Java EE 5 [message #189140 is a reply to message #189103] Mon, 05 March 2007 18:15 Go to previous message
Sachin Patel is currently offline Sachin Patel
Messages: 75
Registered: July 2009
Member
Geronimo now has an EE5 adapter available, it is still underdevelopment
but deployment of projects with EE5 facets should work.


http://people.apache.org/dist/geronimo/eclipse/unstable/

Wolfgang Knauf wrote:
> Hi Geoff,
>
> I think the main problem is that the servers supported by WTP do not
> support JavaEE5, or the server definitions were not updated.
>
> I created a server definition for JBoss 4.0.5 with EJB3 support for WTP
> 2.0, so you may try it out:
> http://www.informatik.fh-wiesbaden.de/~knauf/public
>
> Hope this helps
>
> Wolfgang
>
>
> Geoff Ruscoe wrote:
>> So I know that WTP 2.0 is supposed to be supporting Java EE 5. I have
>> installed everything, but I do not really see any options for java EE 5.
>>
>> For instance there is nothing to create an EJB 3 object. EJB only
>> offers <= 2.1
>>
>> The web doesn't offer servlet spec 2.5.
>>
>> Am I missing something?
>>
>> I know this is only a Milestone release, but I thought it was 80%
>> complete. Will M6 (API freeze) have this, or will it not be ready
>> until later.
>>
>> I know I can manually edit the files and make things work, but I'm
>> trying to figure out when this will be truly integrated (ala Netbeans
>> 5.5).
>>
>>
>> Thanks,
>> Geoff
>>
Previous Topic:Recognizing Tomcat 5.0 with separate home and base
Next Topic:The XSD Editor
Goto Forum:
  


Current Time: Mon Oct 20 11:41:23 GMT 2014

Powered by FUDForum. Page generated in 0.09003 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software